Last Comment Bug 210077 - Annotated CSS 1 Specification is outdated
: Annotated CSS 1 Specification is outdated
Status: RESOLVED FIXED
Read comment #18 for providing help
:
Product: Documentation
Classification: Graveyard
Component: Web Developer (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Gérard Talbot
: rudman
Mentors:
http://www.mozilla.org/docs/web-devel...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-20 04:42 PDT by Max Kanat-Alexander
Modified: 2009-07-08 18:01 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Max Kanat-Alexander 2003-06-20 04:42:05 PDT
The CSS spec with the Mozilla Bug Annotations is great. However, most of the
bugs listed are now resolved as fixed, worksforme, or invalid. This means that 
Mozilla looks like it has more bugs than it does, and it makes the document more
confusing use as a reference.

There are three possible ways to resolve this bug:

1) Strip all resolved bugs out of the document. This is a bad idea, because web
developers may want to know that some older version of Mozilla (such as 1.0) had
certain bugs. Also, some bugs that have been marked resolved may not have had a
release since they were resolved.

2) Have multiple versions of the document for each Mozilla release, that says
what the CSS bugs were for that release. This, however, does not catch bugs that
appeared *after* that release.

3) Have the document generated dynamically, and take a date. The document would
only show the bugs that were still open after that date. This is similar to #2,
but possibly more complex. However, it would be the best possible solution, if
it would be possible.

If we go with #3, then this should probably be changed to a severity of
enhancement. Right now I'd say it's normal, since it makes the Annotated CSS1
document not very useful.

-M
Comment 1 Max Kanat-Alexander 2003-06-20 04:50:18 PDT
*SPAM* Fixed the URL.
Comment 2 Daniel Wang 2003-10-30 10:29:15 PST
rudman is no longer w/ mozilla.org -> nobody
Comment 3 Josh Heidenreich 2003-11-24 01:27:56 PST
Would you have it so that thw web developer would punch in a date and it would
look up the bug database and then mix that with the css spec? If so you would
probably need some cgi (perl) and you would need to know how the bugzilla
database(s) work. (and have read-access to them)
Comment 5 Gérard Talbot 2006-11-09 00:15:57 PST
the power of Bugzilla:
http://bugzilla.mozilla.org/buglist.cgi?product=Browser&keywords_type=allwords&keywords=css1&resolution=---

product=Browser is no longer supported

Fix for that is:

https://bugzilla.mozilla.org/buglist.cgi?product=Core&keywords_type=anywords&keywords=css1&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&resolution=---

Note that there are CSS1-related bugzilla bug reports (approx. 10) which do not have the css1 keyword and which should have the css1 keyword.

Some bugfiles have the css1 keyword but are not listed in the document. Not mentioned in the document (for various or unknown reasons) are: bug 8914, bug 14984, bug 21193, bug 22053, bug 25680, bug 30782, bug 35666, bug 35735, bug 45838, bug 46217, bug 54979, bug 55929, bug 56362, bug 58048

Finally, the bugspecs/REC-CSS1.html webpage has right now some 120 validation markup errors... which is embarassing.

Marking blocking bug 151557

REOPENING
Comment 6 Gérard Talbot 2006-11-11 17:26:30 PST
-> me
Comment 7 Gérard Talbot 2006-11-11 18:43:58 PST
Checking in mozilla-org/html/docs/web-developer/bugspecs/REC-CSS1.html;
/cvsroot/mozilla-org/html/docs/web-developer/bugspecs/REC-CSS1.html,v  <--  REC-CSS1.html
new revision: 1.29; previous revision: 1.28
done

Converted to HTML 4.01 strict; removed some 120 validation markup errors; added several bug reports; removed those which were fixed; converted http://bugzilla.mozilla.org/show_bug.cgi to https://bugzilla.mozilla.org/show_bug.cgi . Not mentioned in the document (for various or unknown reasons) are bugs 8914, 22053, 30782, 45838, 55929 and 56362.

I will update the link at
http://www.mozilla.org/docs/web-developer/#style
Comment 8 Gérard Talbot 2006-11-11 20:22:10 PST
I'm resolving this bug. If there is a problem or something, just reopen it with details, explanations.

Resolving as FIXED
Comment 9 Gérard Talbot 2007-06-25 14:49:13 PDT
Note to self:

Resolved and therefore to remove from current webpage:
Bug 23701
Bug 2418 (2)
Bug 198928
Bug 58048
Bug 72195
Bug 25680
Bug 972
Bug 45631
Bug 30802
Bug 1515
Bug 120783
Bug 69745
Bug 59837

--------------

<!-- Not mentioned in the document (for various or unknown reasons) are: bug 8914, bug 22053, bug 30782, bug 45838, bug 55929, bug 56362, bug 159403 (qawanted, helpwanted) -->

--------------

To add to the document:

Bug 54696: Move -moz-float-edge declaration to quirk.css [CSS1-5.5.25]

Bug 63741: list-item marker of unordered lists overlap [LIST][MARGIN-C][INLINE-V]

Bug 70978: An OBJECT with exactly one of width or height given should be scaled proportionally [CSS1-5.5.23]

Bug 125273: css background-image doesn't reload [CSS1-5.3.3]

Bug 125560: Rounding error positioning float: right inside block with percentage margins [CSS1-5.5.5][CSS1-5.5.25]

Bug 144392: horizontal margins are ignored when table width is greater than 100% [CSS1-5.5.4]

Bug 145419: dynamically added ::first-letter and ::first-line rules not applied (depends on bug 8253) [CSS1-2.3] [CSS1-2.4]

Bug 152959: line-height ignored on (certain) table cells [INLINE][CSS1-5.4.8]

Bug 23604 – first-letter into inline frame lost on restyle (e.g., from :hover) [CSS1-2.1][CSS1-2.4]

Bug 163183: inlines get preceding space(s) if inside a p::first-line in a table [CSS1-2.3] [CSS1-4.2]

--------------

Unclear regarding which CSS 1 section involved or haven't had time to examine yet:
Bug 175415: Variation in computed font-size on monospace font
Bug 180877: Strange effects with megaborders
Bug 187889: "font-size: 0.4px" seems be ignored
Bug 197008: lists containing items with images have extra top-padding when made visible
Bug 202930: CSS text-decoration is computed correctly but not drawn on text inside TABLEs in Standards Compliance mode
Bug 205537: multiple generic fonts (monospace / non-monospace) cause wrong size
Bug 205574: legend{display:block} doesn't work
Bug 210212: CSS vertical-align puts input radio button too low
Bug 214100: 1px of the background of the UL elements appears between every few LI elements
Bug 217641: Border defined as thick double in CSS prints as thin solid
Bug 228942: input[type=checkbox] as :root stretches
Bug 230706: Text-align weirdness when text doesn't fit
Bug 255399: float spanning several pages doesn't return document flow correctly
Bug 280443: font-family should be stored as array of strings, not a string that requires parsing (escaped quotes)
Bug 283686: root element can not have display:none
Bug 301335: lists (-moz-float-edge) after a left floating block are shifted outside of the viewport
Bug 333382: root element should not expand to contain floats
Bug 364423: stop treating floating first letter frames as floats
Bug 366911: text-decoration underline is not complete when using text-align justify

Reopening
Comment 10 Gérard Talbot 2007-07-14 17:43:55 PDT
Checking in mozilla-org/html/docs/web-developer/bugspecs/REC-CSS1.html;
/www/mozilla-org/html/docs/web-developer/bugspecs/REC-CSS1.html,v  <--  REC-CSS1.html
new revision: 1.31; previous revision: 1.30
done

I have included a link to this bugfile so that people finding a lot of mistakes can report here:
"If you believe this document to be very outdated, then please report what is missing (and what is incorrect, what needs to be updated, etc) at bugzilla bug 210077. Your cooperation and assistance will be greatly appreciated."

I will now update the link at
http://www.mozilla.org/docs/web-developer/#style
Comment 11 Gérard Talbot 2007-07-14 18:12:55 PDT
Checking in mozilla-org/html/docs/web-developer/bugspecs/REC-CSS1.html;
/www/mozilla-org/html/docs/web-developer/bugspecs/REC-CSS1.html,v  <--  REC-CSS1.html
new revision: 1.32; previous revision: 1.31
done

I have removed a few empty tables and the reference to bug 12385.

Resolving as FIXED

If there is a problem or something, just reopen with details, explanations.
Comment 12 Gérard Talbot 2008-04-08 22:07:49 PDT
Resolved bugs:
- bug 23604
- bug 96041
- bug 23605
- bug 125273
- bug 70978
- bug 54696
Comment 13 Gérard Talbot 2008-06-23 09:01:05 PDT
Another resolved bug:
Bug 50630
Comment 14 Gérard Talbot 2008-07-09 10:23:09 PDT
Another resolved bug: 
bug 2942
Comment 15 Gérard Talbot 2008-07-17 21:10:50 PDT
Resolved bugs:
bug 21193

Patch to make such 9 corrections coming up...
Comment 16 Gérard Talbot 2008-07-17 21:38:28 PDT
and added bug 217641 ...
Comment 17 Gérard Talbot 2008-07-17 21:47:28 PDT
Checking in mozilla-org/html/docs/web-developer/bugspecs/REC-CSS1.html;
/www/mozilla-org/html/docs/web-developer/bugspecs/REC-CSS1.html,v  <--  REC-CSS1.html
new revision: 1.33; previous revision: 1.32
done
Comment 18 Gérard Talbot 2008-07-17 22:05:40 PDT
Checking in mozilla-org/html/docs/web-developer/index.html;
/www/mozilla-org/html/docs/web-developer/index.html,v  <--  index.html
new revision: 1.48; previous revision: 1.47
done

Patches submitted and applied (checked in).

I am RESOLVING this bug again. 

***********************
To the fans of this bug
***********************

If you see a correction to do, an update to do, just add it as a comment in this bug. When we get a bunch (say, a dozen) in this bug report, then I'll re-open the bug and create a patch. Just like again for this year.

Thank you for your cooperation

Gérard
Comment 19 Gérard Talbot 2008-08-06 16:52:38 PDT
Resolved bug:
bug 294306
Comment 20 Gérard Talbot 2008-12-05 23:57:25 PST
Resolved bugs:
bug 122799, bug 144392, bug 53597
Comment 21 Gérard Talbot 2009-07-08 18:01:26 PDT
Resolved bugs:
bug 116762, bug 283686

Note You need to log in before you can comment on or make changes to this bug.